Endpoint
Authentication
Requires a Personal API Access Token.Header
Request
Headers
Path Parameters
Query Parameters
None.Response
Success Response (200 OK)
Response Fields
Environment Variable Object
Environment Value Object (environmentValueList)
Notes
- Secret values (
visible=falseorglobalVisible=false) are masked (returned asnull) in list responses - Global variables have
global=trueand useglobalValue - Environment-specific variables have
global=falseand useenvironmentValueList - Empty list (
[]) is returned if no variables exist - For admin project, all variables are returned (including from other projects)
Error Response (401 Unauthorized)
Error Response (404 Not Found)
cURL Example
Permissions
- User must have any permission in the project (read access)
Notes and Warnings
-
Secret Values:
- Secret values are masked (returned as
null) in list responses - Use Get Environment Variable endpoint to retrieve values if you have permission
- Secret values are masked (returned as
-
Global vs Environment-Specific:
- Global variables (
global=true) have a single value for all environments - Environment-specific variables (
global=false) have different values per environment
- Global variables (
-
Admin Project:
- For admin project, all variables are returned
- Includes variables from other projects
Permissions
User must have any permission in the project (read access).Related Documentation
- Get Environment Variable - Get a specific environment variable
- Create Environment Variable - Create a new environment variable

